package com.ruoyi.system.domain.vo;

import org.apache.poi.hpsf.Decimal;

/**
 * 钻井工程字段实体类
 */
public class DrillingEngineeringVo {
    public String instantaneousPower;
    public Decimal initialAverageSustainedPower;
    public Decimal conventionalAverageContinuousPower;
    public Decimal laterAverageSustainedPower;
    public Decimal initialElectricityQuotaAndWeight;
    public Decimal conventionalElectricityQuotaAndWeight;
    public Decimal electricityQuotaWeightLaterStage;
    public Decimal batteryEfficiency;
    public Decimal dodDepth;
    public Decimal variableFrequencyCoefficient;
    public Integer pcsMaximumNumber;
    public String oneWayTimeConfiguration;
    public String stationTimeConfiguration;
    public String chargingTimeConfiguration;
    public String timeConfiguration;
    public Integer emsSingleStepMode;
    public Integer powerCompensation;
    public String beforeTimeWeight;
    public String middleTimeWeight;
    public String afterTimeWeight;

    public String getInstantaneousPower() {
        return instantaneousPower;
    }

    public void setInstantaneousPower(String instantaneousPower) {
        this.instantaneousPower = instantaneousPower;
    }

    public Decimal getInitialAverageSustainedPower() {
        return initialAverageSustainedPower;
    }

    public void setInitialAverageSustainedPower(Decimal initialAverageSustainedPower) {
        this.initialAverageSustainedPower = initialAverageSustainedPower;
    }

    public Decimal getConventionalAverageContinuousPower() {
        return conventionalAverageContinuousPower;
    }

    public void setConventionalAverageContinuousPower(Decimal conventionalAverageContinuousPower) {
        this.conventionalAverageContinuousPower = conventionalAverageContinuousPower;
    }

    public Decimal getLaterAverageSustainedPower() {
        return laterAverageSustainedPower;
    }

    public void setLaterAverageSustainedPower(Decimal laterAverageSustainedPower) {
        this.laterAverageSustainedPower = laterAverageSustainedPower;
    }

    public Decimal getInitialElectricityQuotaAndWeight() {
        return initialElectricityQuotaAndWeight;
    }

    public void setInitialElectricityQuotaAndWeight(Decimal initialElectricityQuotaAndWeight) {
        this.initialElectricityQuotaAndWeight = initialElectricityQuotaAndWeight;
    }

    public Decimal getConventionalElectricityQuotaAndWeight() {
        return conventionalElectricityQuotaAndWeight;
    }

    public void setConventionalElectricityQuotaAndWeight(Decimal conventionalElectricityQuotaAndWeight) {
        this.conventionalElectricityQuotaAndWeight = conventionalElectricityQuotaAndWeight;
    }

    public Decimal getElectricityQuotaWeightLaterStage() {
        return electricityQuotaWeightLaterStage;
    }

    public void setElectricityQuotaWeightLaterStage(Decimal electricityQuotaWeightLaterStage) {
        this.electricityQuotaWeightLaterStage = electricityQuotaWeightLaterStage;
    }

    public Decimal getBatteryEfficiency() {
        return batteryEfficiency;
    }

    public void setBatteryEfficiency(Decimal batteryEfficiency) {
        this.batteryEfficiency = batteryEfficiency;
    }

    public Decimal getDodDepth() {
        return dodDepth;
    }

    public void setDodDepth(Decimal dodDepth) {
        this.dodDepth = dodDepth;
    }

    public Decimal getVariableFrequencyCoefficient() {
        return variableFrequencyCoefficient;
    }

    public void setVariableFrequencyCoefficient(Decimal variableFrequencyCoefficient) {
        this.variableFrequencyCoefficient = variableFrequencyCoefficient;
    }

    public Integer getPcsMaximumNumber() {
        return pcsMaximumNumber;
    }

    public void setPcsMaximumNumber(Integer pcsMaximumNumber) {
        this.pcsMaximumNumber = pcsMaximumNumber;
    }

    public String getOneWayTimeConfiguration() {
        return oneWayTimeConfiguration;
    }

    public void setOneWayTimeConfiguration(String oneWayTimeConfiguration) {
        this.oneWayTimeConfiguration = oneWayTimeConfiguration;
    }

    public String getStationTimeConfiguration() {
        return stationTimeConfiguration;
    }

    public void setStationTimeConfiguration(String stationTimeConfiguration) {
        this.stationTimeConfiguration = stationTimeConfiguration;
    }

    public String getChargingTimeConfiguration() {
        return chargingTimeConfiguration;
    }

    public void setChargingTimeConfiguration(String chargingTimeConfiguration) {
        this.chargingTimeConfiguration = chargingTimeConfiguration;
    }

    public String getTimeConfiguration() {
        return timeConfiguration;
    }

    public void setTimeConfiguration(String timeConfiguration) {
        this.timeConfiguration = timeConfiguration;
    }

    public Integer getEmsSingleStepMode() {
        return emsSingleStepMode;
    }

    public void setEmsSingleStepMode(Integer emsSingleStepMode) {
        this.emsSingleStepMode = emsSingleStepMode;
    }

    public Integer getPowerCompensation() {
        return powerCompensation;
    }

    public void setPowerCompensation(Integer powerCompensation) {
        this.powerCompensation = powerCompensation;
    }

    public String getBeforeTimeWeight() {
        return beforeTimeWeight;
    }

    public void setBeforeTimeWeight(String beforeTimeWeight) {
        this.beforeTimeWeight = beforeTimeWeight;
    }

    public String getMiddleTimeWeight() {
        return middleTimeWeight;
    }

    public void setMiddleTimeWeight(String middleTimeWeight) {
        this.middleTimeWeight = middleTimeWeight;
    }

    public String getAfterTimeWeight() {
        return afterTimeWeight;
    }

    public void setAfterTimeWeight(String afterTimeWeight) {
        this.afterTimeWeight = afterTimeWeight;
    }

    @Override
    public String toString() {
        return "DrillingEngineeringVo{" +
                "instantaneousPower='" + instantaneousPower + '\'' +
                ", initialAverageSustainedPower=" + initialAverageSustainedPower +
                ", conventionalAverageContinuousPower=" + conventionalAverageContinuousPower +
                ", laterAverageSustainedPower=" + laterAverageSustainedPower +
                ", initialElectricityQuotaAndWeight=" + initialElectricityQuotaAndWeight +
                ", conventionalElectricityQuotaAndWeight=" + conventionalElectricityQuotaAndWeight +
                ", electricityQuotaWeightLaterStage=" + electricityQuotaWeightLaterStage +
                ", batteryEfficiency=" + batteryEfficiency +
                ", dodDepth=" + dodDepth +
                ", variableFrequencyCoefficient=" + variableFrequencyCoefficient +
                ", pcsMaximumNumber=" + pcsMaximumNumber +
                ", oneWayTimeConfiguration='" + oneWayTimeConfiguration + '\'' +
                ", stationTimeConfiguration='" + stationTimeConfiguration + '\'' +
                ", chargingTimeConfiguration='" + chargingTimeConfiguration + '\'' +
                ", timeConfiguration='" + timeConfiguration + '\'' +
                ", emsSingleStepMode=" + emsSingleStepMode +
                ", powerCompensation=" + powerCompensation +
                ", beforeTimeWeight='" + beforeTimeWeight + '\'' +
                ", middleTimeWeight='" + middleTimeWeight + '\'' +
                ", afterTimeWeight='" + afterTimeWeight + '\'' +
                '}';
    }
}
